: Class LogWriter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Base
Class LogWriter

    java.lang.Object
      |
      +--java.io.Writer
            |
            +--com.mortbay.Base.LogWriter

public class LogWriter
extends java.io.Writer

A Writer that writes to the Log when it is flushed. For best results wrap with a PrintWriter configured to flush on println() for example `PrintWriter out = new PrintWriter(new LogWriter(), true);`

Author:
  Kent Johnson

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`LogWriter()`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String str)`
`void` | `write(java.lang.String str, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogWriter

    public LogWriter()

Method Detail

### write

    public void write(int c)
               throws java.io.IOException

  Overrides:
    write in class java.io.Writer

### write

    public void write(char[] cbuf)
               throws java.io.IOException

  Overrides:
    write in class java.io.Writer

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    write in class java.io.Writer

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  Overrides:
    write in class java.io.Writer

### write

    public void write(java.lang.String str,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    write in class java.io.Writer

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    flush in class java.io.Writer

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.Writer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD